# Quiet Crafting (and other stuff)

## Change the volume of fabrication stations, construction build & destroy sounds, and other noisy things.

Overwhelmed by the cacophony of your various crafting activities? Quiet Crafting adds volume controls for fabrication stations (Windmill, Spinning Wheel, Smelter, Blast Furnace & Charcoal Kiln) and the items they produce (Flour, Thread, Coal, and metals), along with construction build and destroy sounds, hammer sounds, cauldron bubbling, etc.

## New
- 0.1.1 Oven door sounds now adjusted by the _Oven Door Volume_ setting.
- 0.1.0 Initial release

## Configuration

### Fabrication

- **Fabricator Volume**: The volume level of an active 'fabrication' device, (e.g. Windmill, Spinning Wheel, Smelter, Blast Furnace, Charcoal Kiln) and Oven doors. From 0 (off) to 100. Default is 80
- **Producer Volume**: The volume level of the sound when a 'fabricator' produces an item, e.g. Barley Flour, Linen Thread, Coal, oven cooked food, and all metals. From 0 (off) to 100. Default is 80

### Construction

- **Builder Volume**: The volume level of the sound when placing a wood, stone, crystal or metal piece. From 0 (off) to 100. Default is 80
- **Destruction Volume**: The volume level of the sound when destroying a wood, stone, crystal or metal piece. From 0 (off) to 100. Default is 80

### Crafting

- **Hammer Volume**: The volume level of the hammer when crafting or repairing at a workbench. From 0 (off) to 100. Default is 80

### Misc

- **Windmill Volume**: The 'everyday' volume level of windmill while it's not actively grinding flour. From 0 (off) to 100. Default is 80
- **Cauldron Volume**: The 'everyday' volume level of the cauldron while it's bubbling. From 0 (off) to 100. Default is 80
- **Oven Door Volume**: The volume level of oven doors opening and closing. From 0 (off) to 100. Default is 80

### Utility

- **LogLevel**: Controls the level of information in the log.

### In-game reconfiguration

You can use Configuration Manager (or similar) mod to change the configuration without exiting the game. You can force a configuration update from the chat window (press Enter) then type:

	/quietcrafting config

### Compatibility issues & defects

- If you find a compatibility issue you can post it on NexusMods. Be sure to include the mod name and version you think may be incompatible.
- If you have a bug please report it on NexusMods. If you do post a bug report, please make sure to include the following:
    - Your version of this mod
    - What you were doing, or attempting to do when it happened
    - If it's repeatable - i.e., can you duplicate it?
    - The exact behavior you observed (or didn't observe)
    - If possible, a capture of the log file with errors (errors always begin with this mod's name)

### Notes

- Shameless plugs for other mods (mirror on Thunderstore):
    - WolfPack: Control all your tame creatures at once! https://www.nexusmods.com/valheim/mods/1549/
    - RequipMe: Instantly re-equip your best gear from your tombstone! https://www.nexusmods.com/valheim/mods/1615
    - Reely SpecTackleLure: Fishing skill, craftable equipment, fishing aids and deep-sea danger... https://www.nexusmods.com/valheim/mods/1655
    - UnRemove: Restore your destroyed pieces without rebuilding them. https://www.nexusmods.com/valheim/mods/1676
	- MaxAxe: Throw weapons, torches, shields, stones, tankards! https://www.nexusmods.com/valheim/mods/1815
	- Quiet Portals: Adjust the volume of active portals or silence them completely. https://www.nexusmods.com/valheim/mods/1981/
    
- Your comments and feedback are always welcome. Please feel free to post or send a note on NexusMods.